Package com.ocient.metrics

# Enum Class Metric.Units

java.lang.Object
java.lang.Enum<Metric.Units>
com.ocient.metrics.Metric.Units

All Implemented Interfaces:
  `Serializable`, `Comparable<Metric.Units>`, `Constable`

Enclosing class:
  `Metric<T>`

public static enum Metric.Units extends Enum<Metric.Units>
Possible units for interpreting counter values.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BYTES`
`COUNT`
`MILLISECONDS`
`NANOSECONDS`
`SECONDS`
`UNITLESS`

## Method Summary

Modifier and Type
Method
Description
`static Metric.Units`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Metric.Units[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### UNITLESS

public static final Metric.Units UNITLESS

### NANOSECONDS

public static final Metric.Units NANOSECONDS

### MILLISECONDS

public static final Metric.Units MILLISECONDS

### SECONDS

public static final Metric.Units SECONDS

### BYTES

public static final Metric.Units BYTES

### COUNT

public static final Metric.Units COUNT

## Method Details

### values

public static Metric.Units[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Metric.Units valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null